import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ApiService {
    private http;
    private environment;
    constructor(http: HttpClient, environment: any);
    saveLiveRun(question: any, uuid: string, testType: string, language_id: any, workspace_url: any, portal: string): Observable<any>;
    saveSubmission(question: any, uuid: string, testType: string, language_id: any, workspace_url: any, portal: string): Observable<any>;
    getLiveRunStatus(id: number, portal: any, callback: any): Observable<any>;
    getSubmisssionStatus(id: number, callback: any): Observable<any>;
    transformResults(results: any): any;
    transformLogs(result: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiService>;
}
export declare const sample_data1: {
    run: {
        id: number;
        updated_at: string;
        created_at: string;
        user_id: number;
        question_id: number;
        git_url: string;
        code: any;
        endpoint: any;
        repo_id: string;
        commit_id: string;
        branch: string;
        env_list: string;
        run_type: string;
        project_root: string;
        test_uuid: string;
        status: number;
        discrepancy_status: number;
        discrepancies: string;
        result_metadata: string;
        score: number;
        total_score: number;
        quality: number;
        logs: string;
        logs_file: string;
        application_logs: string;
        app_logs_file: string;
        passed_tests: number;
        language_id: number;
        test_type: string;
        project_zip: string;
        project_zip_v2: string;
        build_zip: any;
        pdf_uploaded: boolean;
        plagiarism_status: any;
        comparison: string;
        retry_at: any;
        retry_count: number;
        sonar_retry_at: any;
        sonar_retry_count: number;
        files_changed: number;
        insertions: number;
        deletions: number;
        version: string;
        zip_uuid: any;
        language: {
            id: number;
            name: string;
            description: string;
            displayName: string;
            tagType: {
                id: number;
                name: string;
                displayName: string;
                featureType: string;
            };
            imageUrl: string;
            attributes: string;
        };
    };
    code_quality: {
        bugs: {
            total: number;
            p: number;
            ps: number;
            paging: {
                pageIndex: number;
                pageSize: number;
                total: number;
            };
            effortTotal: number;
            debtTotal: number;
            issues: any[];
            components: any[];
            facets: any[];
        };
        codesmells: {
            total: number;
            p: number;
            ps: number;
            paging: {
                pageIndex: number;
                pageSize: number;
                total: number;
            };
            effortTotal: number;
            debtTotal: number;
            issues: any[];
            components: any[];
            facets: any[];
        };
    };
    metrics: {
        component: {
            id: string;
            key: string;
            name: string;
            qualifier: string;
            measures: {
                ncloc: string;
                reliability_remediation_effort: string;
                effort_to_reach_maintainability_rating_a: string;
                duplicated_lines_density: string;
                sqale_index: string;
                comment_lines_density: string;
                blocker_violations: string;
                complexity: string;
                minor_violations: string;
                reopened_issues: string;
                false_positive_issues: string;
                lines: string;
                duplicated_lines: string;
                sqale_rating: string;
                sqale_debt_ratio: string;
                bugs: string;
                vulnerabilities: string;
                open_issues: string;
                statements: string;
                code_smells: string;
                classes: string;
                violations: string;
                critical_violations: string;
                reliability_rating: string;
                duplicated_blocks: string;
                duplicated_files: string;
                line_coverage: string;
                file_complexity: string;
                uncovered_lines: string;
                functions: string;
                lines_to_cover: string;
                confirmed_issues: string;
                security_remediation_effort: string;
                wont_fix_issues: string;
                info_violations: string;
                major_violations: string;
                security_rating: string;
                files: string;
                comment_lines: string;
                cognitive_complexity: string;
                alert_status: string;
                coverage: string;
            };
        };
        code_metrics: ({
            key: string;
            name: string;
            short_desc: string;
            desc: string;
            is_enabled: boolean;
            value: number;
        } | {
            key: string;
            name: string;
            short_desc: string;
            desc: string;
            is_enabled: boolean;
            value: string;
        })[];
    };
};
export declare const sample_data2: {
    response: {
        live_run: {
            id: number;
            updated_at: string;
            created_at: string;
            score: number;
            total_score: number;
            app_logs: string;
            logs_file: any;
            app_logs_file: any;
            user_id: number;
            ques_id: number;
            option_id: any;
            test_uuid: string;
            test_type: string;
            code: any;
            language_id: number;
            config: any;
            status: number;
            show_browser: boolean;
            type: string;
            output: string;
            response: any;
            expected_response: any;
            live_run_user_id: any;
            version: string;
        };
    };
};
